# Generated by Django 4.1.10 on 2024-01-31 12:56

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtailmetadata.models
from django.db import migrations, models

import shared.models.legacy


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailcore", "0083_workflowcontenttype"),
        ("wagtaildocs", "0012_uploadeddocument"),
        ("wagtailimages", "0025_alter_image_file_alter_rendition_file"),
        ("uniweb", "0053_rename_date_uniwebarticlepage_timestamp"),
    ]

    operations = [
        migrations.AlterField(
            model_name="uniwebhomepage",
            name="top_menu",
            field=wagtail.fields.StreamField(
                [
                    (
                        "item",
                        wagtail.blocks.StructBlock(
                            [
                                ("name", wagtail.blocks.CharBlock(label="název")),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="stránka",
                                        page_type=[
                                            "uniweb.UniwebHomePage",
                                            "uniweb.UniwebFlexiblePage",
                                            "uniweb.UniwebArticlesIndexPage",
                                            "uniweb.UniwebFormPage",
                                            "uniweb.UniwebPeoplePage",
                                            "uniweb.UniwebPersonPage",
                                            "uniweb.UniwebPdfPage",
                                        ],
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="horní menu",
            ),
        ),
        migrations.CreateModel(
            name="UniwebPdfPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "pdf_file",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtaildocs.document",
                        verbose_name="PDF dokument",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "PDF stránka",
            },
            bases=(
                wagtailmetadata.models.WagtailImageMetadataMixin,
                shared.models.main.SubpageMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
